package com.platform.modules.trtc.socket;

public class SocketMsg {
	/**
	 * 消息类型
	 * 10000   登录
	 * 10001   退出
	 * 10002   被邀请正在通话中
	 * 10003   被邀请不在线
	 * 10004   发起方发起通话邀请
	 * 10005   发起方中断通话邀请
	 * 10006   被邀请方接受通话邀请
	 * 10007   被邀请发拒绝通话邀请
	 * 10008   发起方中断通话
	 * 10009   被邀请方中断通话
	 * 10010   上线
	 * 10011   下线
	 * 10012  通话中
	 * 
	 * 
	 * 10013  暂时无用
	 * 
	 * 10015 在线中（APP端使用）
	 * 10016 通话中（APP端使用）
	 *
	 *
	 * 20001 pad端发起通话
	 * 20002 pad端中断通话
	 * 20003 pad-被邀请方接受通话邀请
	 * 20004 pad-被邀请发拒绝通话邀请
	 *
	 *
	 * 22222 心跳检查
	 * 99996 心跳检检查
	 * 99997 用户已经在线
	 * 99998 强制其他端下线
	 * 99999   对方不在线或者正在通话中
	 */
	private int type;
	//发起方userID
	private Long fromUserId;
	//发起方用户名
	private String fromUserName;
	//发起方头像
	private String fromUserImg;
	//sessionID
	private String sid;
	//接收方userId
	private Long toUserId;
	//接收方用户名
	private String toUserName;
	//发起方头像
	private String toUserImg;
	//房间号ID
	private Integer roomId;
	//pad控制大屏时的记者ID
	private Long  reporterId;

	// pad 控制大屏地图视角:1 pad-控制大屏端的 济南行政区域地图；2 pad-控制大屏端的 融媒体中心视角；3 pad-控制大屏端的 记者定位视角
	private Long angle;
	//pad 控制大屏tab标签:1 pad-控制大屏端的 智能化编辑部；2 直播平台；3 舆情监控；4 传播分析
	private Long tab;

	//20210604 yang 添加判断字段
	//操作信号
	//1. earth（地球），videoChange（2.5视频），imgScan(图片处理),voice(语音播报），switch（轮播）
	//3. nation（全国地图），shandong（山东地图）
	private String operate;
	
	
	public int getType() {
		return type;
	}
	public void setType(int type) {
		this.type = type;
	}
	public Long getFromUserId() {
		return fromUserId;
	}
	public void setFromUserId(Long fromUserId) {
		this.fromUserId = fromUserId;
	}
	public String getFromUserName() {
		return fromUserName;
	}
	public void setFromUserName(String fromUserName) {
		this.fromUserName = fromUserName;
	}
	public String getFromUserImg() {
		return fromUserImg;
	}
	public void setFromUserImg(String fromUserImg) {
		this.fromUserImg = fromUserImg;
	}
	public Long getToUserId() {
		return toUserId;
	}
	public void setToUserId(Long toUserId) {
		this.toUserId = toUserId;
	}
	public String getToUserName() {
		return toUserName;
	}
	public void setToUserName(String toUserName) {
		this.toUserName = toUserName;
	}
	public String getToUserImg() {
		return toUserImg;
	}
	public void setToUserImg(String toUserImg) {
		this.toUserImg = toUserImg;
	}
	public Integer getRoomId() {
		return roomId;
	}
	public void setRoomId(Integer roomId) {
		this.roomId = roomId;
	}
	public String getSid() {
		return sid;
	}
	public void setSid(String sid) {
		this.sid = sid;
	}
	public Long getReporterId() {
		return reporterId;
	}
	public void setReporterId(Long reporterId) {
		this.reporterId = reporterId;
	}
	public Long getAngle() {
		return angle;
	}
	public void setAngle(Long angle) {
		this.angle = angle;
	}
	public Long getTab() {
		return tab;
	}
	public void setTab(Long tab) {
		this.tab = tab;
	}

	public String getOperate() {
		return operate;
	}
	public void setOperate(String operate) {
		this.operate = operate;
	}
}
